import { Meteor } from 'meteor/meteor';
import { Mongo } from 'meteor/mongo';
import { check } from 'meteor/check';

import { Icons } from '../models/icon.js';
Meteor.methods({
  'icons.insert'(icon) {
    check(icon.path, String);

    // Create the record.
    Icons.insert({
      path: icon.path,
      iconIndex : icon.iconIndex,
      type : icon.type      
    });

  }
});

if (Meteor.isServer) {
  Meteor.publish('icons', function() {
    return Icons.find({});
  }); 
}

Meteor.startup(() => {
  if (Icons.find({}).count() === 0) {
    Icons.insert({ path:"icons/Task_0.png",  iconIndex : 0, type: "task" });
    Icons.insert({ path:"icons/Task_1.png",  iconIndex : 1, type: "task" });
    Icons.insert({ path:"icons/Task_2.png",  iconIndex : 2, type: "task" });
    Icons.insert({ path:"icons/Task_3.png",  iconIndex : 3, type: "task" });
    Icons.insert({ path:"icons/Task_4.png",  iconIndex : 4, type: "task" });
    Icons.insert({ path:"icons/Task_5.png",  iconIndex : 5, type: "task" });
    Icons.insert({ path:"icons/Task_6.png",  iconIndex : 6, type: "task" });
    Icons.insert({ path:"icons/Task_7.png",  iconIndex : 7, type: "task" });
    Icons.insert({ path:"icons/Task_8.png",  iconIndex : 8, type: "task" });
    Icons.insert({ path:"icons/Task_9.png",  iconIndex : 9, type: "task" });
    Icons.insert({ path:"icons/Task_10.png",  iconIndex : 10, type: "task" });
    Icons.insert({ path:"icons/Task_11.png",  iconIndex : 11, type: "task" });
    Icons.insert({ path:"icons/Task_12.png",  iconIndex : 12, type: "task" });
    Icons.insert({ path:"icons/Task_13.png",  iconIndex : 13, type: "task" });
    Icons.insert({ path:"icons/Task_14.png",  iconIndex : 14, type: "task" });
    Icons.insert({ path:"icons/Task_15.png",  iconIndex : 15, type: "task" });
    Icons.insert({ path:"icons/Task_16.png",  iconIndex : 16, type: "task" });

    //goals
     Icons.insert({ path:"icons/Reward_0.png",  iconIndex : 0, type: "goal" });
     Icons.insert({ path:"icons/Reward_1.png",  iconIndex : 1, type: "goal" });
     Icons.insert({ path:"icons/Reward_2.png",  iconIndex : 2, type: "goal" });
     Icons.insert({ path:"icons/Reward_3.png",  iconIndex : 3, type: "goal" });
     Icons.insert({ path:"icons/Reward_4.png",  iconIndex : 4, type: "goal" });
     Icons.insert({ path:"icons/Reward_5.png",  iconIndex : 5, type: "goal" });
     Icons.insert({ path:"icons/Reward_6.png",  iconIndex : 6, type: "goal" });
     Icons.insert({ path:"icons/Reward_7.png",  iconIndex : 7, type: "goal" });
     Icons.insert({ path:"icons/Reward_8.png",  iconIndex : 8, type: "goal" });
     Icons.insert({ path:"icons/Reward_9.png",  iconIndex : 9, type: "goal" });
     Icons.insert({ path:"icons/Reward_10.png",  iconIndex : 10, type: "goal" });
     Icons.insert({ path:"icons/Reward_11.png",  iconIndex : 11, type: "goal" });
     Icons.insert({ path:"icons/Reward_12.png",  iconIndex : 12, type: "goal" });
     Icons.insert({ path:"icons/Reward_13.png",  iconIndex : 13, type: "goal" });
     Icons.insert({ path:"icons/Reward_14.png",  iconIndex : 14, type: "goal" });
     Icons.insert({ path:"icons/Reward_15.png",  iconIndex : 15, type: "goal" });

     //profile avatars
     Icons.insert({ path:"icons/Avatar_0.png",  iconIndex : 0, type: "profile" });
     Icons.insert({ path:"icons/Avatar_1.png",  iconIndex : 1, type: "profile" });
     Icons.insert({ path:"icons/Avatar_2.png",  iconIndex : 2, type: "profile" });
     Icons.insert({ path:"icons/Avatar_3.png",  iconIndex : 3, type: "profile" });
     Icons.insert({ path:"icons/Avatar_4.png",  iconIndex : 4, type: "profile" });
     Icons.insert({ path:"icons/Avatar_5.png",  iconIndex : 5, type: "profile" });
     Icons.insert({ path:"icons/Avatar_6.png",  iconIndex : 6, type: "profile" });
     Icons.insert({ path:"icons/Avatar_7.png",  iconIndex : 7, type: "profile" });
     Icons.insert({ path:"icons/Avatar_8.png",  iconIndex : 8, type: "profile" });
     Icons.insert({ path:"icons/Avatar_9.png",  iconIndex : 9, type: "profile" });
     Icons.insert({ path:"icons/Avatar_10.png",  iconIndex : 10, type: "profile" });
     Icons.insert({ path:"icons/Avatar_11.png",  iconIndex : 11, type: "profile" });
     Icons.insert({ path:"icons/Avatar_12.png",  iconIndex : 12, type: "profile" });
     Icons.insert({ path:"icons/Avatar_13.png",  iconIndex : 13, type: "profile" });
     Icons.insert({ path:"icons/Avatar_14.png",  iconIndex : 14, type: "profile" });
     Icons.insert({ path:"icons/Avatar_15.png",  iconIndex : 15, type: "profile" });
     
  }
});