import { Meteor } from 'meteor/meteor';
import { Mongo } from 'meteor/mongo';
import { check } from 'meteor/check';

export const Groups = new Mongo.Collection('groups');

Groups.attachSchema(new SimpleSchema({
  name: {
    type: String,
  },
  // XXX We might want to maintain more informations under the member sub-
  // documents like de-normalized meta-data (the date the member joined the
  // board, the number of contributions, etc.).
  // 'profiles': {
  //   type: [Object],
  //   optional: true,
  //   autoValue() { // eslint-disable-line consistent-return
  //     if (this.isInsert && !this.isSet) {
  //       return [{
  //         // userId: this.userId,
  //         isAdmin: true,
  //         isActive: true,
  //       }];
  //     }
  //   },
  // },
  // 'profiles.$.userId': {
  //   type: String,
  // },
  // 'profiles.$.isAdmin': {
  //   type: Boolean,
  // },
  // 'profiles.$.isActive': {
  //   type: Boolean,
  // },
  createdAt: {
    type: Date,
    autoValue() { // eslint-disable-line consistent-return
      if (this.isInsert) {
        return new Date();
      } else {
        this.unset();
      }
    },
  },
  modifiedAt: {
    type: Date,
    optional: true,
    autoValue() { // eslint-disable-line consistent-return
      if (this.isUpdate) {
        return new Date();
      } else {
        this.unset();
      }
    },
  }}));