import React, { Component, PropTypes } from 'react';
import ReactDOM from 'react-dom';
 
// Goal component - represents a single goal item
export default class Goal extends Component {
  constructor(props) {
    super(props);
 
    this.state = {
      editing: false,
      selectedIndex: this.props.goal.iconIndex
    };
  }
  render() {
    return (
      <li className={"task-item"+(this.state.editing ? " adding" : '')}>
        <div className="item-flex">
          <div className="img-flex eq">
                <div  className="img-container" >
                <img src={"icons/Reward_"+this.props.goal.iconIndex+".png"} className="img-icon" />           
                </div>
          </div>
          <div className="name-flex">
                {this.props.goal.name} 
          </div>
          <div className="points-flex eq">
                {this.props.goal.score} <span className="poeng" />
                <i className="material-icons edit" onClick={this.taskEdit.bind(this)} ref="editTask">mode_edit</i>
                <i className="material-icons delete" onClick={this.taskDelete.bind(this)} ref="deleteTask" >delete</i>
          </div>

          
        </div>
      {this.state.editing &&
      
      <div ref="taskEdit" >
         <form id={"edit-task-"+this.props.goal._id} onSubmit={this.handleSubmit.bind(this)}>
       
        <label htmlFor="edittaskIcon">Ikon</label>
        <div className="icon-container" onChange={this.setIcon.bind(this)}>
            {this.renderIcons()}
        </div>
        <label htmlFor="edittaskTitle">Tittel</label>
        <input type="text" 
               name="edittaskTitle"               
               maxLength="25"
               ref="edittaskTitle"
               required
               defaultValue={this.props.goal.name}
               className="add-task-text" />
       <label htmlFor="edittaskScore">Poeng</label>
       <div className="center" >
       <input type="range"              
              name="edittaskScore"
              defaultValue={this.props.goal.score}
              min="0"
              max="1000"
              step="10"
              onInput={this.sliderReader.bind(this)}
              ref="edittaskScore"              
              />
              <output name="rangeOutput" ref="scoreOutput" className="slider-output" htmlFor="edittaskScore">{this.props.goal.score}</output>
              <input type="submit" value="Legg til" className="submit-btn" />
     </div>
       </form>
      </div>
      }
      </li>
    );
  }

  taskEdit(event){
    this.state.editing ? this.setState({editing:false, selectedIndex: this.props.goal.iconIndex}) : this.setState({editing:true});
    
  }

  taskDelete(event){    
    Meteor.call('goals.remove', this.props.goal._id);
  }
  handleSubmit(event){
   event.preventDefault();
   const target = event.target;
   const goalAttributes = {
     score: target.edittaskScore.value,
     name: target.edittaskTitle.value,
     iconIndex: this.state.selectedIndex
   };   
   
   Meteor.call('goals.addAttributes', this.props.goal._id, goalAttributes);
   this.setState({editing:false});

  }
  sliderReader(event){
 ReactDOM.findDOMNode(this.refs.scoreOutput).value = ReactDOM.findDOMNode(this.refs.edittaskScore).value;
  }

renderIcons(){
   return this.props.icons.map((icon) => (
     <label key={"icon-"+icon.iconIndex} >
    <input type="radio" name="task-icon" ref={"icon-"+icon.iconIndex} value={icon.iconIndex} defaultChecked={this.checkSelectedIcon(icon.iconIndex)} />
    <div  className="img-container" >
      <img src={icon.path} className="img-icon" />
    </div>
    </label>
     
     ));
}

checkSelectedIcon(iconIndex){
  return iconIndex == this.state.selectedIndex ? "checked" :  null;
}

setIcon(event){
this.setState({selectedIndex:event.target.value});
}

}
 
