import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { createContainer } from 'meteor/react-meteor-data'; 
import { Goals } from '../models/goal.js';
import { Icons } from '../models/icon.js';
import Goal from './Goal.jsx';
 

 class GoalList extends Component { 
constructor(props) {
    super(props);
 
    this.state = {
      adding: false,
      selectedIndex:0
    };
  }
 handleSubmit(event){
   event.preventDefault();
   const target = event.target;
   const goal = {};
   goal.name = target.addtaskTitle.value;
   goal.score = target.addtaskScore.value;
   goal.iconIndex = this.state.selectedIndex;
   console.log(target.addtaskTitle.value);

   Meteor.call('goals.insert', goal);
   this.setState({adding:false, selectedIndex: null});
 }
sliderReader(event){
 ReactDOM.findDOMNode(this.refs.scoreOutput).value = ReactDOM.findDOMNode(this.refs.addtaskScore).value;

}

setIcon(event){
this.setState({selectedIndex:event.target.value});
}

addTaskForm(event){
  this.state.adding ? this.setState({adding:false}) : this.setState({adding:true});  
}
renderGoals() { console.log(this.props.goals);
    return this.props.goals.map((goal) => (
      <Goal key={goal._id} goal={goal} icons={this.props.icons}/>
    ));
  }
 
renderIcons(){
   return this.props.icons.map((icon) => (
     <label key={"icon-"+icon.iconIndex} >
    <input type="radio" name="task-icon" ref={"icon-"+icon.iconIndex} value={icon.iconIndex} defaultChecked={icon.iconIndex === 0 ? "checked" : null} />
    <div  className="img-container" >
      <img src={icon.path} className="img-icon" />
    </div>
    </label>
     
     ));
}

  render() {
    return (
      <div className="list-container">
        
        <div className={"add-task-container" + (this.state.adding ? " adding":'')}>
          <div id="addTaskRow" onClick={this.addTaskForm.bind(this)} >
          <span className="plus"></span><h1 className="add-task-heading">Legg til ny belønning</h1>
          </div>
          {this.state.adding &&
          
          <form id="add-task-form" onSubmit={this.handleSubmit.bind(this)}>
        <label htmlFor="addtaskIcon">Ikon</label>
        <div className="icon-container" onChange={this.setIcon.bind(this)}>
            {this.renderIcons()}
        </div>
        <label htmlFor="addtaskTitle">Tittel</label>
        <input type="text" 
               name="addtaskTitle"               
               maxLength="25"
               ref="addtaskTitle"
               className="add-task-text"
               required />
       <label htmlFor="addtaskScore">Poeng</label>
      <div className="center" >
         <input type="range"              
              name="addtaskScore"
              defaultValue="0"
              min="0"
              max="1000"
              step="10"
              onChange={this.sliderReader.bind(this)}
              ref="addtaskScore"              
              />
              
              <output name="rangeOutput" className="slider-output" ref="scoreOutput" htmlFor="addtaskScore">0</output>
              <input type="submit" value="Legg til" className="submit-btn"/>
      </div>
       </form>
          }
      
       </div>
        <ul>
          {this.renderGoals()}
        </ul>
      </div>
    );
  }
}

export default createContainer(() => {
  Meteor.subscribe('goals');
  Meteor.subscribe('icons');
  
  return {
    goals: Goals.find({}).fetch(),
    icons: Icons.find({type:"goal"}).fetch()
   
  };
}, GoalList);