﻿using UnityEngine;

public class Bounds : MonoBehaviour
{
    public static Rect BoundingRectangle { get; set; }

    // Use this for initialization
    public void Start()
    {
        var topY = Camera.main.orthographicSize;
        var bottomY = -Camera.main.orthographicSize + Constants.Camera.downPosition.y;
        var edgeX = Camera.main.orthographicSize * Camera.main.aspect;
        BoundingRectangle = new Rect(-edgeX, bottomY, 2 * edgeX, topY - bottomY);
        var edgeColliders = gameObject.AddComponent<EdgeCollider2D>();
        var points = new Vector2[]
        {
            new Vector2(-edgeX, bottomY),
            new Vector2(-edgeX, topY),
            new Vector2(edgeX, topY),
            new Vector2(edgeX, bottomY),
            new Vector2(-edgeX, bottomY),
        };
        edgeColliders.points = points;
    }
}
