﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

/**
 * Controlls a owl icon in the main view
 */
public class SchoolClassIconController : MonoBehaviour
{

    public Text schoolClassText;
    public Image progressbar;

    public GameObject schoolClassWindowPrefab;

    private SchoolClass schoolClass;
    private string schoolClassname = "";

    public void SetSchoolClassName(string name)
    {
        this.schoolClassname = name;
        schoolClassText.text = name;
        gameObject.name = name;
    }

    public void SetProgressbar(float currentPoints, float maxPoints)
    {
        // Max fill = 0.4
        float fillAmount = (currentPoints / maxPoints) * 0.4f;
        if (fillAmount > 0.4)
        {
            fillAmount = 0.4f;
        }

        progressbar.fillAmount = fillAmount;
    }

    public void SetSchoolClass(SchoolClass schoolClass)
    {
        this.schoolClass = schoolClass;
    }

    public void OpenClassView()
    {
        var schoolClassWindow = Instantiate(schoolClassWindowPrefab);
        schoolClassWindow.transform.SetParent(GameObject.Find("Canvas").transform, false);
        schoolClassWindow.GetComponent<SchoolClassController>().SetUpWindowInformation(this.schoolClass);
    }

}
