﻿namespace Orchestration
{
    /// <summary>
    /// Used to ensue that this component is started in the correct order.
    /// Avoid using Awake and Startup from MonoBehaviour when implementing this interface
    /// </summary>
    public interface IStartupComponent
    {
        int InitOrder { get; }
        bool IsInitComplete { get; }

        void Initialize();
    }
}
