﻿using System.Collections.Generic;
using Data;
using UnityEngine;
using UnityEngine.UI;

namespace UI.FloatingMenus
{
    public class PersonStatistics : MonoBehaviour
    {
        public Image Background;
        public Image Avatar;
        public Text Name;
        public Text Level;
        public Image ProgressBar;
        public Text CurrentLevel;
        public Text NextLevel;
        public Text CurrentExperience;
        public Text LevelUpExperience;
        public List<Image> Rewards;

        private Person _person;
        public Person Person
        {
            get { return _person; }
            set
            {
                _person = value;
                UpdateGraphics();
                Debug.LogFormat("Person {{Experience: {0}, Level: {1}}}", _person.Experience, _person.Level);
            }
        }

        private void UpdateGraphics()
        {
            Background.color = Person.Color;
            Avatar.sprite = Person.Avatar;
            Name.text = Person.Name;
            Level.text = Person.Level.ToString();
            CurrentLevel.text = Person.Level.ToString();
            NextLevel.text = (Person.Level + 1).ToString();
            // TODO kjellre 2017-03-12 Centralize rules for experience / next level
            ProgressBar.transform.localScale = new Vector3((Person.Experience % 25) / 25f, 1);
            CurrentExperience.text = Person.Experience.ToString();
            LevelUpExperience.text = ((Person.Experience / 25 + 1) * 25).ToString();

            Rewards = new List<Image>(); // TODO kjellre 2017-03-04 Update rewards based on which rewards the person has
        }

        public void Cancel()
        {
            Destroy(gameObject);
        }
    }
}
