﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;
using Constants;
using Data;

public class PersonUI : MonoBehaviour
{
    public RectTransform avatarMenuPrefab;
    public Image avatar;
    public Image avatarBackground;

    public Person Person { get; set; }

    public void OpenEditMenu()
    {
        Debug.LogFormat("LocalPos: {0}, Pos: {1}", transform.localPosition, transform.position);
        Person.PropertyChanged += Person_PropertyChanged;

        // Open avatar edit menu
        var avatarMenu = Instantiate(avatarMenuPrefab);
        var personEditMenu = avatarMenu.GetComponent<PersonEditMenu>();

        avatarMenu.transform.SetParent(GameObject.Find("Canvas").transform, false);
        personEditMenu.Person = Person;

        avatarMenu.position = transform.position;
        if (transform.position.x < 0)
            avatarMenu.localPosition += new Vector3(((RectTransform)transform).rect.width, 0, 0);
        else
            avatarMenu.localPosition -= new Vector3(avatarMenu.rect.width, 0, 0);
    }

    private void Person_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
    {
        switch (e.PropertyName)
        {
            case PersonProperties.Avatar:
                avatar.sprite = Person.Avatar;
                break;
            case PersonProperties.Color:
                avatarBackground.color = Person.Color;
                break;
            default:
                break;
        }
    }
}
