﻿using Data;
using UnityEngine;
using System.Collections.Generic;
using UnityEngine.UI;
using Data.Enums;

public class RepeatingTaskMenu : MonoBehaviour
{
    public List<GameObject> days;
    public Sprite repeatingEnabled;
    public Sprite repeatingDisabled;
    public Image background;

    private Task task;

    public TaskMenu TaskMenu { get; set; }

    public Task Task
    {
        get { return task; }
        set
        {
            if (value != null)
                task = value;
            InitializeTask();
        }
    }

    private void InitializeTask()
    {
        background.color = task.Person.Color;
        for (int i = 0; i < days.Count; i++)
        {
            var j = i;
            days[i].GetComponent<Button>().onClick.AddListener(() => ToggleRepeatDay(j));
            WeekDays weekDay = (WeekDays)(1 << i);
            if ((task.RepeatingDays & weekDay) != 0)
            {
                days[i].GetComponent<Image>().sprite = repeatingEnabled;
            }
        }
    }

    public void ToggleRepeatDay(int i)
    {
        WeekDays weekDay = (WeekDays)(1 << i);
        task.RepeatingDays ^= weekDay;
        var isRepeating = (task.RepeatingDays & weekDay) != 0;
        days[i].GetComponent<Image>().sprite = (isRepeating) ? repeatingEnabled : repeatingDisabled;
        TaskMenu.UpdateRepeatingInterface();
    }
}
