import Vue from 'vue'
import Router from 'vue-router'
import HomeworkSheet from '@/components/HomeworkSheet'
import Tasks from '@/components/homeworkSheets/Tasks'
import TaskDistributionPanel from '@/components/homeworkSheets/TaskDistributionPanel'
import Information from '@/components/homeworkSheets/Information'
import Feedback from '@/components/homeworkSheets/Feedback'
import Rewards from '@/components/Rewards'
import DataEditor from '@/components/DataEditor'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      redirect: {
        name: 'Tasks'
      }
    },
    {
      path: '/ukeplan',
      redirect: {
        name: 'Tasks'
      }
    },
    {
      path: '/ukeplan',
      name: 'HomeworkSheet',
      component: HomeworkSheet,
      children: [
        {
          path: '/ukeplan/oppgaver',
          name: 'Tasks',
          component: Tasks
        },
        {
          path: '/ukeplan/oppgavefordeling',
          name: 'TaskDistributionPanel',
          component: TaskDistributionPanel
        },
        {
          path: '/ukeplan/beskjeder',
          name: 'Information',
          component: Information
        },
        {
          path: '/ukeplan/tilbakemeldinger',
          name: 'Feedback',
          component: Feedback
        }
      ]
    },
    {
      path: '/belonninger',
      name: 'Rewards',
      component: Rewards
    },
    {
      path: '/data',
      name: 'DataEditor',
      component: DataEditor
    }
  ]
})
