// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

Vue.config.productionTip = false

// Dummy data
let data = {
  'taskGroupIdIncrement': 22,
  'subGoalIdIncrement': 12,
  'linkIdIncrement': 11,
  'informationIdIncrementer': 10,
  'user': {
    'avatar': '02',
    'name': 'Eva'
  },
  'schoolClasses': [
    {
      'id': 0,
      'name': '5C',
      'reward': {
        'name': 'Spille fotball',
        'pointsGathered': 1700,
        'pointsNeeded': 2700,
        'assignableValue': 50,
        'commonValue': 10,
        'extraValue': 20
      },
      'weeks': [
        {
          'id': 0,
          'weekNumber': 45,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Lettere oppgaver med fokus på forståelse.',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Regn oppgave 1.2-1.6 på side 14 i oppgaveboka.',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Introduksjon til divisjon.',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Litt vanskeligere oppgaver med noen tekstoppgaver.',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Regn oppgave 1.5-1.8 på side 14 i oppgaveboka.',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 19,
                  'name': 'C',
                  'description': 'Vanskeligere oppgaver med refleksjon.',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 10,
                      'description': 'Regn oppgave 1.5-1.8 på side 14 i oppgaveboka.',
                      'links': []
                    },
                    {
                      'id': 11,
                      'description': 'Se YouTube-videoen og tenk over hva du kan bruke divisjon til.',
                      'links': [
                        {
                          'id': 10,
                          'name': 'YouTube',
                          'url': 'https://www.youtube.com/'
                        }
                      ]
                    }
                  ]
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Vanskelig',
                      'time': '2',
                      'continuous': 'Jeg tror jeg gjorde noe feil fordi det gikk ikke opp.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Mamma syns jeg skal få vanskeligere lekser fordi jeg klarte dem med en gang.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': '1',
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': '2',
                      'continuous': 'Kan du gå gjennom oppgave 1.12 på skolen?'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': '1',
                      'continuous': 'Dette ble litt vanskelig for meg, kan jeg få enklere oppgaver?'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': '1',
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': '2',
                      'continuous': 'Får ikke til.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': '1',
                      'continuous': 'Det gikk helt ok, men når det ble komma ble det vanskeligere.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': '2',
                      'continuous': 'Kan du gå gjennom deling med to tall?'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': '1',
                      'continuous': ''
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': '0',
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Veldig lett'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': '0',
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': '2',
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': '1',
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': '2',
                      'continuous': 'Kan jeg få enklere oppgaver? Jeg rekker ikke fotballtreningene.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': '1',
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': '1',
                      'continuous': 'Helt greie lekser :)'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': '2',
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Trenger flere oppgaver fordi jeg vil ha flere poeng!'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': '1',
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': '2',
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 20,
                  'name': 'A',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                },
                {
                  'id': 21,
                  'name': 'B',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'A'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            }
          ]
        },
        {
          'id': 1,
          'weekNumber': 44,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 18,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'A'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'A'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'A'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        },
        {
          'id': 2,
          'weekNumber': 43,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 17,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        },
        {
          'id': 3,
          'weekNumber': 42,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 12,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                },
                {
                  'id': 13,
                  'name': 'D',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 14,
                  'name': 'A',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        },
        {
          'id': 4,
          'weekNumber': 41,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 11,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        },
        {
          'id': 5,
          'weekNumber': 40,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 10,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 15,
                  'name': 'A',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                },
                {
                  'id': 16,
                  'name': 'B',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        }
      ]
    },
    {
      'id': 1,
      'name': '3B',
      'reward': {
        'name': 'Spille fotball',
        'pointsGathered': 1700,
        'pointsNeeded': 2700,
        'assignableValue': 50,
        'commonValue': 10,
        'extraValue': 20
      },
      'weeks': [
        {
          'id': 0,
          'weekNumber': 45,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Lettere oppgaver med fokus på forståelse.',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Regn oppgave 1.2-1.6 på side 14 i oppgaveboka.',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Introduksjon til divisjon.',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Litt vanskeligere oppgaver med noen tekstoppgaver.',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Regn oppgave 1.5-1.8 på side 14 i oppgaveboka.',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 19,
                  'name': 'C',
                  'description': 'Vanskeligere oppgaver med refleksjon.',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 10,
                      'description': 'Regn oppgave 1.5-1.8 på side 14 i oppgaveboka.',
                      'links': []
                    },
                    {
                      'id': 11,
                      'description': 'Se YouTube-videoen og tenk over hva du kan bruke divisjon til.',
                      'links': [
                        {
                          'id': 10,
                          'name': 'YouTube',
                          'url': 'https://www.youtube.com/'
                        }
                      ]
                    }
                  ]
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 20,
                  'name': 'A',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                },
                {
                  'id': 21,
                  'name': 'B',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            }
          ]
        },
        {
          'id': 1,
          'weekNumber': 44,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 18,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        },
        {
          'id': 2,
          'weekNumber': 43,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 17,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        },
        {
          'id': 3,
          'weekNumber': 42,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 12,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                },
                {
                  'id': 13,
                  'name': 'D',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 14,
                  'name': 'A',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        },
        {
          'id': 4,
          'weekNumber': 41,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 11,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        },
        {
          'id': 5,
          'weekNumber': 40,
          'subjects': [
            {
              'id': 0,
              'name': 'Matematikk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': 'A',
                  'description': 'Vanskeligere oppgave',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 1,
                  'name': 'B',
                  'description': 'Gjør quiz 1 og 2',
                  'type': 'assignable',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Gjør quiz 1 og 2',
                      'links': [
                        {
                          'id': 0,
                          'name': 'Quiz 1',
                          'url': 'http://youtube.com'
                        },
                        {
                          'id': 1,
                          'name': 'Quiz 2',
                          'url': 'http://youtube.com'
                        }
                      ]
                    },
                    {
                      'id': 1,
                      'description': 'Test-delmål',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 10,
                  'name': 'C',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            },
            {
              'id': 1,
              'name': 'Norsk',
              'taskGroups': [
                {
                  'id': 0,
                  'name': '',
                  'description': 'Vanskeligere oppgave',
                  'type': 'common',
                  'subGoals': [
                    {
                      'id': 0,
                      'description': 'Les side 1 og 2 i norskboka.',
                      'links': []
                    }
                  ]
                },
                {
                  'id': 15,
                  'name': 'A',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                },
                {
                  'id': 16,
                  'name': 'B',
                  'description': '',
                  'type': 'assignable',
                  'subGoals': []
                }
              ],
              'feedback': [
                {
                  'name': 'A',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'B',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                },
                {
                  'name': 'C',
                  'pupils': [
                    {
                      'id': 0,
                      'avatar': '08',
                      'name': 'Andreas',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 1,
                      'avatar': '08',
                      'name': 'Benjamin',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 2,
                      'avatar': '06',
                      'name': 'Charlotte',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 3,
                      'avatar': '08',
                      'name': 'Daniel',
                      'discrete': 'Passelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 4,
                      'avatar': '08',
                      'name': 'Emil',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 5,
                      'avatar': '06',
                      'name': 'Fia',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    },
                    {
                      'id': 6,
                      'avatar': '06',
                      'name': 'Sara',
                      'discrete': 'Lett',
                      'time': 0,
                      'continuous': ''
                    },
                    {
                      'id': 7,
                      'avatar': '06',
                      'name': 'Vilde',
                      'discrete': 'Vanskelig',
                      'time': 0,
                      'continuous': 'Deling med desimaltall var vanskelig.'
                    }
                  ]
                }
              ]
            }
          ],
          'pupils': [
            {
              'id': 0,
              'avatar': '08',
              'name': 'Andreas',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 1,
              'avatar': '08',
              'name': 'Benjamin',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 2,
              'avatar': '06',
              'name': 'Charlotte',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 3,
              'avatar': '08',
              'name': 'Daniel',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 4,
              'avatar': '08',
              'name': 'Emil',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 5,
              'avatar': '06',
              'name': 'Fia',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'A'
                }
              ]
            },
            {
              'id': 6,
              'avatar': '06',
              'name': 'Sara',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'C'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            },
            {
              'id': 7,
              'avatar': '06',
              'name': 'Vilde',
              'subjects': [
                {
                  'subjectId': 0,
                  'name': 'Matematikk',
                  'assignableTask': 'B'
                },
                {
                  'subjectId': 1,
                  'name': 'Norsk',
                  'assignableTask': 'B'
                }
              ]
            }
          ],
          'information': [
            {
              'id': 0,
              'description': 'Husk gymtøy på onsdag.'
            },
            {
              'id': 1,
              'description': 'Husk batteri på Fredag.'
            }
          ]
        }
      ]
    }
  ]
}

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: {App},
  template: '<App/>',
  data: {
    data
  }
})
